OpenShot Audio Library | OpenShotAudio: juce::dsp::FastMathApproximations Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
juce::dsp::FastMathApproximations Struct Reference

`#include <juce_FastMathApproximations.h>`

## Static Public Member Functions
template<typename FloatType>
static FloatType | cosh (FloatType x) noexcept
template<typename FloatType>
static void | cosh (FloatType *values, size_t numValues) noexcept
template<typename FloatType>
static FloatType | sinh (FloatType x) noexcept
template<typename FloatType>
static void | sinh (FloatType *values, size_t numValues) noexcept
template<typename FloatType>
static FloatType | tanh (FloatType x) noexcept
template<typename FloatType>
static void | tanh (FloatType *values, size_t numValues) noexcept
template<typename FloatType>
static FloatType | cos (FloatType x) noexcept
template<typename FloatType>
static void | cos (FloatType *values, size_t numValues) noexcept
template<typename FloatType>
static FloatType | sin (FloatType x) noexcept
template<typename FloatType>
static void | sin (FloatType *values, size_t numValues) noexcept
template<typename FloatType>
static FloatType | tan (FloatType x) noexcept
template<typename FloatType>
static void | tan (FloatType *values, size_t numValues) noexcept
template<typename FloatType>
static FloatType | exp (FloatType x) noexcept
template<typename FloatType>
static void | exp (FloatType *values, size_t numValues) noexcept
template<typename FloatType>
static FloatType | logNPlusOne (FloatType x) noexcept
template<typename FloatType>
static void | logNPlusOne (FloatType *values, size_t numValues) noexcept

## Detailed Description

This class contains various fast mathematical function approximations.

Definition at line 34 of file juce_FastMathApproximations.h.

## Member Function Documentation

## ◆ cos() [1/2]

template<typename FloatType>

static void juce::dsp::FastMathApproximations::cos | ( | FloatType * | values,
|  | size_t | numValues )
| inlinestaticnoexcept

Provides a fast approximation of the function cos(x) using a Pade approximant continued fraction, calculated on a whole buffer.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -pi and +pi for limiting the error.

Definition at line 143 of file juce_FastMathApproximations.h.

## ◆ cos() [2/2]

template<typename FloatType>

static FloatType juce::dsp::FastMathApproximations::cos | ( | FloatType | x | ) |
| inlinestaticnoexcept

Provides a fast approximation of the function cos(x) using a Pade approximant continued fraction, calculated sample by sample.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -pi and +pi for limiting the error.

Definition at line 128 of file juce_FastMathApproximations.h.

Referenced by cos().

## ◆ cosh() [1/2]

template<typename FloatType>

static void juce::dsp::FastMathApproximations::cosh | ( | FloatType * | values,
|  | size_t | numValues )
| inlinestaticnoexcept

Provides a fast approximation of the function cosh(x) using a Pade approximant continued fraction, calculated on a whole buffer.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -5 and +5 for limiting the error.

Definition at line 58 of file juce_FastMathApproximations.h.

## ◆ cosh() [2/2]

template<typename FloatType>

static FloatType juce::dsp::FastMathApproximations::cosh | ( | FloatType | x | ) |
| inlinestaticnoexcept

Provides a fast approximation of the function cosh(x) using a Pade approximant continued fraction, calculated sample by sample.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -5 and +5 for limiting the error.

Definition at line 43 of file juce_FastMathApproximations.h.

Referenced by cosh().

## ◆ exp() [1/2]

template<typename FloatType>

static void juce::dsp::FastMathApproximations::exp | ( | FloatType * | values,
|  | size_t | numValues )
| inlinestaticnoexcept

Provides a fast approximation of the function exp(x) using a Pade approximant continued fraction, calculated on a whole buffer.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -6 and +4 for limiting the error.

Definition at line 227 of file juce_FastMathApproximations.h.

## ◆ exp() [2/2]

template<typename FloatType>

static FloatType juce::dsp::FastMathApproximations::exp | ( | FloatType | x | ) |
| inlinestaticnoexcept

Provides a fast approximation of the function exp(x) using a Pade approximant continued fraction, calculated sample by sample.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -6 and +4 for limiting the error.

Definition at line 213 of file juce_FastMathApproximations.h.

Referenced by exp().

## ◆ logNPlusOne() [1/2]

template<typename FloatType>

static void juce::dsp::FastMathApproximations::logNPlusOne | ( | FloatType * | values,
|  | size_t | numValues )
| inlinestaticnoexcept

Provides a fast approximation of the function log(x+1) using a Pade approximant continued fraction, calculated on a whole buffer.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -0.8 and +5 for limiting the error.

Definition at line 254 of file juce_FastMathApproximations.h.

## ◆ logNPlusOne() [2/2]

template<typename FloatType>

static FloatType juce::dsp::FastMathApproximations::logNPlusOne | ( | FloatType | x | ) |
| inlinestaticnoexcept

Provides a fast approximation of the function log(x+1) using a Pade approximant continued fraction, calculated sample by sample.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -0.8 and +5 for limiting the error.

Definition at line 240 of file juce_FastMathApproximations.h.

Referenced by logNPlusOne().

## ◆ sin() [1/2]

template<typename FloatType>

static void juce::dsp::FastMathApproximations::sin | ( | FloatType * | values,
|  | size_t | numValues )
| inlinestaticnoexcept

Provides a fast approximation of the function sin(x) using a Pade approximant continued fraction, calculated on a whole buffer.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -pi and +pi for limiting the error.

Definition at line 171 of file juce_FastMathApproximations.h.

## ◆ sin() [2/2]

template<typename FloatType>

static FloatType juce::dsp::FastMathApproximations::sin | ( | FloatType | x | ) |
| inlinestaticnoexcept

Provides a fast approximation of the function sin(x) using a Pade approximant continued fraction, calculated sample by sample.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -pi and +pi for limiting the error.

Definition at line 156 of file juce_FastMathApproximations.h.

Referenced by sin().

## ◆ sinh() [1/2]

template<typename FloatType>

static void juce::dsp::FastMathApproximations::sinh | ( | FloatType * | values,
|  | size_t | numValues )
| inlinestaticnoexcept

Provides a fast approximation of the function sinh(x) using a Pade approximant continued fraction, calculated on a whole buffer.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -5 and +5 for limiting the error.

Definition at line 86 of file juce_FastMathApproximations.h.

## ◆ sinh() [2/2]

template<typename FloatType>

static FloatType juce::dsp::FastMathApproximations::sinh | ( | FloatType | x | ) |
| inlinestaticnoexcept

Provides a fast approximation of the function sinh(x) using a Pade approximant continued fraction, calculated sample by sample.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -5 and +5 for limiting the error.

Definition at line 71 of file juce_FastMathApproximations.h.

Referenced by sinh().

## ◆ tan() [1/2]

template<typename FloatType>

static void juce::dsp::FastMathApproximations::tan | ( | FloatType * | values,
|  | size_t | numValues )
| inlinestaticnoexcept

Provides a fast approximation of the function tan(x) using a Pade approximant continued fraction, calculated on a whole buffer.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -pi/2 and +pi/2 for limiting the error.

Definition at line 199 of file juce_FastMathApproximations.h.

## ◆ tan() [2/2]

template<typename FloatType>

static FloatType juce::dsp::FastMathApproximations::tan | ( | FloatType | x | ) |
| inlinestaticnoexcept

Provides a fast approximation of the function tan(x) using a Pade approximant continued fraction, calculated sample by sample.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -pi/2 and +pi/2 for limiting the error.

Definition at line 184 of file juce_FastMathApproximations.h.

Referenced by tan().

## ◆ tanh() [1/2]

template<typename FloatType>

static void juce::dsp::FastMathApproximations::tanh | ( | FloatType * | values,
|  | size_t | numValues )
| inlinestaticnoexcept

Provides a fast approximation of the function tanh(x) using a Pade approximant continued fraction, calculated on a whole buffer.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -5 and +5 for limiting the error.

Definition at line 114 of file juce_FastMathApproximations.h.

## ◆ tanh() [2/2]

template<typename FloatType>

static FloatType juce::dsp::FastMathApproximations::tanh | ( | FloatType | x | ) |
| inlinestaticnoexcept

Provides a fast approximation of the function tanh(x) using a Pade approximant continued fraction, calculated sample by sample.

Note: This is an approximation which works on a limited range. You are advised to use input values only between -5 and +5 for limiting the error.

Definition at line 99 of file juce_FastMathApproximations.h.

Referenced by tanh().

The documentation for this struct was generated from the following file:

- juce_FastMathApproximations.h